discuss-gnustep
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Problem with GNUtls 3.6.7


From: Richard Frith-Macdonald
Subject: Re: Problem with GNUtls 3.6.7
Date: Mon, 27 May 2019 11:24:00 +0100


> On 27 May 2019, at 11:11, Fred Kiefer <address@hidden> wrote:
> 
> I have GNUTLS 3.6.7 on my machine as well, but never had an issue with it. 
> Are you sure that you did reconfigure and recompile GNUstep base from 
> scratch? Perhaps give it another try and report back. (Remember to use „make 
> clean“ first!)
> 
> Hope this helps,
> Fred
> 
>> Am 27.05.2019 um 02:00 schrieb Germán Arias <address@hidden>:
>> 
>> Some days ago my system (PCLinuxOS) update the GNUtls library to version
>> 3.6.7. And now the gnustep apps don't work. So, I try to recompile all,
>> but now I get the error:
>> 
>> Linking tool autogsdoc ...
>> /usr/bin/ld: ../Source/./obj/libgnustep-base.so: undefined reference to
>> address@hidden'
>> 
>> Is this a problem with the gnutls library? Or gnustep is not compatible
>> with this version of gnutls?
>> 

I'm going to guess that where the loader is complaining about a missing symbol 
containing GNUTLS_3_4 it's that the code was linked with version 3.4.? of the 
library and what is now installed is 3.6.7

That would mean that things have *not* been recompiled/rebuilt.  Since it's the 
base library that's linked with gnutles (unless other stuff is linked with it), 
My guess is that what's required in gnustep-base is a
make clean
make install
sequence.
 




reply via email to

[Prev in Thread] Current Thread [Next in Thread]